<div style="margin-top: 20px;">
    <h5>
       <span jhiTranslate="mpmApp.movingSlip.home.title">Moving Slips</span>
    </h5>
    <p-dataTable
        [value]="movingSlips"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        dataKey="idSlip"
        expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.movingSlip.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                    <button type="button" class="input-group-addon flat-style-button" style="margin-left: 50px;"
                        [routerLink]="['../moving-slip-new']">
                        <span class="fa fa-plus"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'mpmApp.movingSlip.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.movingSlip.qty'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qty | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.movingSlip.slipNumber'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.slipNumber">
                    {{rowData.slipNumber}}
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.movingSlip.product'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.productId">
                    {{rowData.productName}}
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.movingSlip.facilityFrom'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.facilityFromId">
                    {{rowData.facilityFromDescription}}
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.movingSlip.containerFrom'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.containerFromId">
                    {{rowData.containerFromContainerCode}}
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.movingSlip.facilityTo'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.facilityToId">
                    {{rowData.facilityToDescription}}
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.movingSlip.containerTo'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.containerToId">
                    {{rowData.containerToContainerCode}}
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.movingSlip.dateCreate'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.dateCreate">
                    {{rowData.dateCreate | date:'dd-MM-yyyy HH:mm:ss'}}
                </div>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>